| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
breakouttouchpaint.ino File Reference

Go to the source code of this file.

## Functions
static void | setup (void)
static void | loop ()

## Macros
#define | YP A2
| NOT FOR USE WITH THE TOUCH SHIELD, ONLY FOR THE BREAKOUT! More...
#define | XM A3
#define | YM 5
#define | XP 4
#define | TS_MINX 150
#define | TS_MINY 120
#define | TS_MAXX 920
#define | TS_MAXY 940
#define | MINPRESSURE 10
#define | MAXPRESSURE 1000
#define | TFT_CS 10
#define | TFT_DC 9
#define | BOXSIZE 40
#define | PENRADIUS 3

## Variables
Adafruit_ILI9341 | tft = Adafruit_ILI9341(TFT_CS, TFT_DC)
TouchScreen | ts = TouchScreen(XP, YP, XM, YM, 300)
static int | oldcolor
static int | currentcolor

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 77 of file breakouttouchpaint.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 53 of file breakouttouchpaint.ino.

## Macro Definition Documentation

## ◆ BOXSIZE

#define BOXSIZE 40

Definition at line 49 of file breakouttouchpaint.ino.

## ◆ MAXPRESSURE

#define MAXPRESSURE 1000

Definition at line 36 of file breakouttouchpaint.ino.

## ◆ MINPRESSURE

#define MINPRESSURE 10

Definition at line 35 of file breakouttouchpaint.ino.

## ◆ PENRADIUS

#define PENRADIUS 3

Definition at line 50 of file breakouttouchpaint.ino.

## ◆ TFT_CS

#define TFT_CS 10

Definition at line 39 of file breakouttouchpaint.ino.

## ◆ TFT_DC

#define TFT_DC 9

Definition at line 40 of file breakouttouchpaint.ino.

## ◆ TS_MAXX

#define TS_MAXX 920

Definition at line 32 of file breakouttouchpaint.ino.

## ◆ TS_MAXY

#define TS_MAXY 940

Definition at line 33 of file breakouttouchpaint.ino.

## ◆ TS_MINX

#define TS_MINX 150

Definition at line 30 of file breakouttouchpaint.ino.

## ◆ TS_MINY

#define TS_MINY 120

Definition at line 31 of file breakouttouchpaint.ino.

## ◆ XM

#define XM A3

Definition at line 25 of file breakouttouchpaint.ino.

## ◆ XP

#define XP 4

Definition at line 27 of file breakouttouchpaint.ino.

## ◆ YM

#define YM 5

Definition at line 26 of file breakouttouchpaint.ino.

## ◆ YP

#define YP A2

NOT FOR USE WITH THE TOUCH SHIELD, ONLY FOR THE BREAKOUT!

Definition at line 24 of file breakouttouchpaint.ino.

## Variable Documentation

## ◆ currentcolor

int currentcolor
| static

Definition at line 51 of file breakouttouchpaint.ino.

## ◆ oldcolor

int oldcolor
| static

Definition at line 51 of file breakouttouchpaint.ino.

## ◆ tft

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC)

Definition at line 41 of file breakouttouchpaint.ino.

## ◆ ts

TouchScreen ts = TouchScreen(XP, YP, XM, YM, 300)

Definition at line 46 of file breakouttouchpaint.ino.